Product Hunt user
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-producthunt-users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "kevin"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-producthunt-users"
payload = { "user": "kevin" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: 'kevin'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-producthunt-users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "producthunt_users",
"user": "kevin",
"user_id": "kevin",
"human": "# Product Hunt ā user\n\n- **Id:** kevin\n- **Pages opened:** 1\n- **Proxy traffic:** 295.3 KB\n- **Name:** Kevin William David\n- **Headline:** Top Hunter š„\n- **Followers:** 28548\n- **Launches:** 3738\n- **Joined:** 2013-12-05T07:01:30-08:00",
"machine": {
"user": {
"id": "79",
"username": "kevin",
"name": "Kevin William David",
"url": "https://www.producthunt.com/@kevin",
"headline": "Top Hunter š„",
"about": "Hi there, Iām Kevin William David. Been a user from day 1 & currently one of the top 3 hunters on the Product Hunt leaderboard. I have helped more than 3600+ startups launch on Product Hunt for free. ",
"image": "https://ph-avatars.imgix.net/79/892b0017-ec5b-4a37-aa6c-b32d62c82cae.jpeg",
"created_at": "2013-12-05T07:01:30-08:00",
"is_maker": true,
"is_verified": false,
"follower_count": 28548,
"following_count": 119,
"submitted_launches_count": 3738,
"products_count": 19,
"collections_count": 54,
"stacks_count": 3,
"reviews_count": 95,
"votes_count": 21350,
"badges_count": 17,
"twitter_username": "kevinwdavid",
"twitter_url": "https://x.com/kevinwdavid",
"links": [
{
"kind": "website",
"name": "Website",
"url": "http://kevinwilliamdavid.com/"
},
{
"kind": "twitter",
"name": "Twitter",
"url": "https://twitter.com/kevinwdavid"
}
],
"visit_streak": 34,
"byline": null
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 302348
},
"total_points": 5
}Startup & Funding Data
Product Hunt user
Get one Product Hunt user by username or URL: name, headline, about, followers, submitted launches, products, collections, reviews, links and join date. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-producthunt-users
Product Hunt user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Username or Product Hunt profile URL. e.g. kevin
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.